Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 258042 - x11-misc/xvidcap-1.1.7 fails to build with >=media-video/ffmpeg-0.5_p22846
Summary: x11-misc/xvidcap-1.1.7 fails to build with >=media-video/ffmpeg-0.5_p22846
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo TreeCleaner Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-07 16:32 UTC by Stefan Triller
Modified: 2010-08-09 04:18 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
configure.in patch to enable audio. (xvidcap-1.1.7-avcodec_decode_audio.patch,1016 bytes, patch)
2009-08-06 14:04 UTC, Patrick Williams
Details | Diff
xvidcap with patch compile error (build.log,32.54 KB, text/plain)
2010-03-10 17:23 UTC, mcfiredrill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Triller 2009-02-07 16:32:35 UTC
Hi,

Xvidcap complains about not having audio support build in:

xvidcap --fps 15 --quality 100 --gui yes --format avi --audio yes

Audio support not present in this binary.



Reproducible: Always

Steps to Reproduce:
1. emerge xvidcap
2. start xvidcap with --audio yes

Actual Results:  
Audio support not present in this binary.

Expected Results:  
Audio support should be build in

emerge --info

Portage 2.1.6.7 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.8_p20080602-r1, 2.6.27.6 x86_64)
=================================================================
System uname: Linux-2.6.27.6-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4200+-with-glibc2.2.5
Timestamp of tree: Fri, 06 Feb 2009 19:45:02 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon64 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp:///ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://distro.ibiblio.org/pub/Linux/distributions/gentoo/ ftp://ftp2.tnc.edu.tw/pub1/Gentoo/"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="de en"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/science /usr/local/overlays/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X acl acpi aim alsa amd64 apache2 apm audiofile avi bash-completion bcmath berkdb bidi bindist bluetooth branding bzip2 bzlib calendar caps cdr cli cracklib crypt cups dbus divx4linux dri dts dvd dvdr dvdread emboss emerald encode ethereal evo exif fastcgi fbcon firefox foomaticdb fortran ftp gdbm gif gnutls gphoto2 gpm gps gstreamer gtk2 hal iconv icq imagemagick imap imlib innodb ipv6 isdnlog jabber java jpeg kde libg++ libnotify lirc mad maildir mcal midi mikmod mmx mmx2 mp3 mpeg msn mudflap multilib ncurses network nls nptl nptlonly nvidia ogg oggvorbis opengl openmp oss pam pcre pda pdf pdflib perl png pnp ppds pppd prelude python qt qt3 qt3support qt4 quicktime readline reflection samba sapdb sasl scanner sdl session sockets spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb v4l v4l2 vorbis xinerama xml xml2 xorg xsl xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard joystick evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="nvidia nv v4l vesa vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Samuli Suominen gentoo-dev 2009-04-30 14:58:16 UTC
Hmm.. which version of lame? Does downgrading lame and recompiling help?
Comment 2 Joe Roberts 2009-07-30 17:08:02 UTC
Have the same problem.  There are presently two versions (one version, 2 revs) of lame in portage:

media-sound/lame-3.98.2-r1
media-sound/lame-3.98.2-r2

Will not compile xvidcap with sound via either...

Comment 3 Patrick Williams 2009-08-06 14:04:20 UTC
Created attachment 200389 [details, diff]
configure.in patch to enable audio.
Comment 4 Patrick Williams 2009-08-06 14:04:41 UTC
This requires a patch to the configure.in because it is currently testing for a deprecated (and now removed) ffmpeg function even though the code itself uses the new function.  I've attached a patch for this.

In order to get audio to work you also need to have 'oss' use flag for ffmpeg (can someone do some ebuild magic in the xvidcap to verify this?).  You also need OSS compatibility in your ALSA kernel options:

CONFIG_SND_OSSEMUL=y
CONFIG_SND_MIXER_OSS=y
CONFIG_SND_PCM_OSS=y

Finally, for me, xvidcap would only work if you recorded in PCM16.  Otherwise in mp3 or other formats I just got static.  Didn't have a chance to track this down.  Might want to have a upstream bugs opened for both the MP3 recording issue and the configure patch.  I haven't done this.
Comment 5 mcfiredrill 2010-03-10 17:23:12 UTC
Created attachment 223025 [details]
xvidcap with patch compile error
Comment 6 mcfiredrill 2010-03-10 21:25:49 UTC
I tried to compile with the above patch and the build fail is attached above.
(In reply to comment #5)
> Created an attachment (id=223025) [details]
> xvidcap with patch compile error
> 

Comment 7 Samuli Suominen gentoo-dev 2010-06-06 18:32:32 UTC
(In reply to comment #3)
> Created an attachment (id=200389) [details]
> configure.in patch to enable audio.
> 

Looks good.

(In reply to comment #5)
> Created an attachment (id=223025) [details]
> xvidcap with patch compile error
> 

This is because of new ffmpeg, those symbols got removed/renamed. This will need some porting. :-/
Comment 8 Samuli Suominen gentoo-dev 2010-06-20 10:57:09 UTC
treecleaners: please remove xvidcap from portage, because:

- The bundled copy of ffmpeg in xvidcap is vulnerable to several GLSAs and CVEs (this is not being used for the obvious reasons even if it's the only way to get working xvidcap "right now")

- It doesn't work at all with our current media-video/ffmpeg's in tree and upstream is semi-dead, nobody has provided patches to make it work

-> /dev/null

replacement is recordmydesktop
Comment 9 Michael Weber (RETIRED) gentoo-dev 2010-06-20 17:19:07 UTC
It does compile against media-video/ffmpeg-0.5_p22846 at least with this minor modifications. Just remove some redundant info and unbundle the ffmpeg dir.

--- /usr/portage/x11-misc/xvidcap/xvidcap-1.1.7.ebuild	2010-03-31 04:36:03.000000000 +0200
+++ xvidcap-1.1.7.ebuild	2010-06-20 19:06:24.000000000 +0200
@@ -2,6 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/x11-misc/xvidcap/xvidcap-1.1.7.ebuild,v 1.4 2010/02/02 19:10:59 ssuominen Exp $
 
+EAPI=2
+
 GCONF_DEBUG=no
 inherit eutils autotools gnome2
 
@@ -29,9 +31,8 @@
 	dev-perl/XML-Parser
 	app-text/gnome-doc-utils"
 
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
+src_prepare() {
+	rm -r ffmpeg || die
 	epatch "${FILESDIR}"/${P}-shmproto.patch
 	epatch "${FILESDIR}"/${P}-ffmpeg-headers.patch
 	# bug 242680
@@ -42,11 +43,10 @@
 	intltoolize --force || die "intltoolize failed"
 }
 
-src_compile() {
+src_configure() {
 	econf --without-forced-embedded-ffmpeg \
 		$(use_enable mp3 libmp3lame) \
 		$(use_enable theora libtheora)
-	emake || die "emake failed."
 }
 
 src_install() {
Comment 10 Samuli Suominen gentoo-dev 2010-06-20 17:24:36 UTC
you need to apply the attached patch here to expose futher errors first, i.e. the patch is correct but only less-than-half of the fix
Comment 11 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-07-31 03:04:05 UTC
removed